# TVectorN< T > Class Template Reference
[Math classes]

Inheritance diagram for TVectorN< T >:

List of all members.

## Public Member Functions
| TVectorN (void)
| TVectorN (const uint32 vectorDimension)
| TVectorN (const TVectorN &v)
void | SetDimension (const uint32 vectorDimension)
| ~TVectorN (void)
void | ReleaseStorage (void)
uint32 | GetDimension (void) const
const T & | operator() (const uint32 valueNum) const
T & | operator() (const uint32 valueNum)
const T & | operator[] (const uint32 valueNum) const
T & | operator[] (const uint32 valueNum)
void | SetValuesToZero (void)
T | GetMagnitude (void) const
T | GetMagnitudeSquared (void) const
boolean | Normalize (const real zeroTolerance=0.0f)
boolean | IsEqual (const TVectorN &compareVec, const real zeroTolerance=0.0f) const
void | Negate (void)
TVectorN & | operator= (const TVectorN &v)
TVectorN & | operator+= (const TVectorN &v)
TVectorN & | operator-= (const TVectorN &v)
TVectorN & | operator*= (const T scalar)
TVectorN & | operator/= (const T scalar)
real | GetNorm () const
void | Reset ()
## Private Attributes
uint32 | originalDimension
uint32 | currentDimension
T * | value

## Detailed Description

### template<class T>
class TVectorN< T >

Defines an N dimensional floating point vector.

## Constructor & Destructor Documentation

template<class T >

TVectorN< T >::TVectorN | ( | void |  | ) |

template<class T >

TVectorN< T >::TVectorN | ( | const uint32 | vectorDimension | ) |

template<class T >

TVectorN< T >::TVectorN | ( | const TVectorN< T > & | v | ) |

template<class T >

TVectorN< T >::~TVectorN | ( | void |  | ) |

## Member Function Documentation

template<class T >

uint32 TVectorN< T >::GetDimension | ( | void |  | ) | const`[inline]`

template<class T >

T TVectorN< T >::GetMagnitude | ( | void |  | ) | const

template<class T >

T TVectorN< T >::GetMagnitudeSquared | ( | void |  | ) | const

template<class T >

real TVectorN< T >::GetNorm | ( |  | ) | const`[inline]`

template<class T >

boolean TVectorN< T >::IsEqual | ( | const TVectorN< T > & | compareVec,
|  | const real | zeroTolerance = `0.0f` |
| ) |  |  | const

template<class T >

void TVectorN< T >::Negate | ( | void |  | ) |

template<class T >

boolean TVectorN< T >::Normalize | ( | const real | zeroTolerance = `0.0f` | ) |

template<class T >

T & TVectorN< T >::operator() | ( | const uint32 | valueNum | ) | `[inline]`

template<class T >

const T & TVectorN< T >::operator() | ( | const uint32 | valueNum | ) | const`[inline]`

template<class T >

TVectorN& TVectorN< T >::operator*= | ( | const T | scalar | ) |

template<class T >

TVectorN& TVectorN< T >::operator+= | ( | const TVectorN< T > & | v | ) |

template<class T >

TVectorN& TVectorN< T >::operator-= | ( | const TVectorN< T > & | v | ) |

template<class T >

TVectorN& TVectorN< T >::operator/= | ( | const T | scalar | ) |

template<class T >

TVectorN& TVectorN< T >::operator= | ( | const TVectorN< T > & | v | ) |

template<class T >

T & TVectorN< T >::operator[] | ( | const uint32 | valueNum | ) | `[inline]`

template<class T >

const T & TVectorN< T >::operator[] | ( | const uint32 | valueNum | ) | const`[inline]`

template<class T >

void TVectorN< T >::ReleaseStorage | ( | void |  | ) |

template<class T >

void TVectorN< T >::Reset | ( |  | ) | `[inline]`

template<class T >

void TVectorN< T >::SetDimension | ( | const uint32 | vectorDimension | ) |

template<class T >

void TVectorN< T >::SetValuesToZero | ( | void |  | ) |

## Member Data Documentation

template<class T >

uint32 TVectorN< T >::currentDimension`[private]`

template<class T >

uint32 TVectorN< T >::originalDimension`[private]`

template<class T >

T* TVectorN< T >::value`[private]`

The documentation for this class was generated from the following file:

- VectorN.h